/v1/workspaces/{workspace_id}/broadcasts/{broadcast_id}/clicked-linksAuthLinks clicked in a broadcast
Most clicked first. Empty until click tracking is enabled.
Path parameters
workspace_id*string · uuidId of the workspace.
broadcast_id*string · uuidId of the broadcast.
Response · 200
data*arrayMost clicked first, at most 100. Empty until click tracking is enabled for the workspace.
Example
Request
GET https://api.mail.productcraft.co/v1/workspaces/{workspace_id}/broadcasts/{broadcast_id}/clicked-links
Authorization: Bearer YOUR_TOKENimport { Mail } from "@productcraft/mail";
// Reads PRODUCTCRAFT_API_KEY from the environment
const mail = new Mail();
const clickedLinks = await mail.broadcasts.clickedLinks.list("3f0c3c1e-8a2b-4c55-9d3f-0a1b2c3d4e5f");mail.broadcasts.clickedLinks.list(broadcastId, options?): Mail.ClickedLinks
Response
{
"data": [
{
"url": "https://acme.com/blog/october",
"clicks": 12,
"unique_recipients": 9
}
]
}